微服务版本,启动 blade-system 服务报错

Blade 未结 3 62
630173235
630173235 剑圣 2021-04-08 11:08

一、该问题的重现步骤是什么?

1. 微服务版本,启动 blade-system 服务报错

二、你期待的结果是什么?实际看到的又是什么?

期待启动正常,启动报错,启动失败

三、你正在使用的是什么产品,什么版本?在什么操作系统上?

BladeX微服务版,版本 2.6.0.RELEASE ,在windows 和Linux上都有问题

四、请提供详细的错误堆栈信息,这很重要。

错误日志如下:

2021-04-08 10:12:00.322  INFO 18292 --- [           main] com.alibaba.druid.pool.DruidDataSource   : {dataSource-1} closed

2021-04-08 10:12:00.344  INFO 18292 --- [           main] ConditionEvaluationReportLoggingListener : 


Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled.

2021-04-08 10:12:00.536 ERROR 18292 --- [           main] o.s.b.d.LoggingFailureAnalysisReporter   : 


***************************

APPLICATION FAILED TO START

***************************


Description:


Parameter 0 of constructor in org.springblade.system.service.impl.TenantServiceImpl required a bean of type 'org.springblade.core.tenant.TenantId' that could not be found.



Action:


Consider defining a bean of type 'org.springblade.core.tenant.TenantId' in your configuration.



Process finished with exit code -1

五、若有更多详细信息,请在下面提供。

3条回答
  • 对框架有没有做代码改动?怎么启动的?

    0 讨论(1)
  • 2021-04-08 13:00

    这个错误是TenantServiceImpl注入的TenantId没有实例化,正常情况,config类是对TenantId类有实例化的。架构是否有改动,你下载git私服原版跑一下,肯定是没问题的

    作者追问:2021-04-08 16:49

    还有为什么  版本 2.6.0.RELEASE 对应的依赖包  在仓库 

    http://nexus.bladex.vip/repository/maven-releases/

    上已经没有了?那原来版本是 2.6.0.RELEASE  的怎么使用?

    或者怎么升级版本?


    0 讨论(0)
  • 2021-04-08 16:44

    没有修改框架代码,本地启动以及打包后放到linux服务器上启动都有此问题

    0 讨论(0)
提交回复